cURL
curl --request GET \ --url https://www.closient.com/advertising/api/v1/revenue-share/{organization_id} \ --header 'X-API-Key: <api-key>'
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "period_start": "2023-12-25", "period_end": "2023-12-25", "gross_revenue": "<string>", "platform_fee": "<string>", "retailer_share": "<string>", "platform_fee_rate": "<string>", "status": "<string>", "paid_at": "2023-11-07T05:31:56Z", "stripe_transfer_id": "" } ], "pagination": { "page": 123, "page_size": 123, "total_count": 123, "total_pages": 123, "has_next": true, "has_previous": true } }
List all revenue share records for an organization, ordered by most recent period.
UUID of the organization.
Page number (1-indexed).
x >= 1
Number of items per page (max 100).
1 <= x <= 100
OK
Show child attributes
{ "has_next": true, "has_previous": false, "page": 1, "page_size": 25, "total_count": 342, "total_pages": 14}